use crate::components::add_album::*;
use crate::components::add_artist::*;
use crate::components::upload::*;
use leptos::prelude::*;
use leptos_icons::*;

#[component]
pub fn UploadDropdownBtn(dropdown_open: RwSignal<bool>) -> impl IntoView {
    let open_dropdown = move |_| {
        dropdown_open.set(!dropdown_open.get());
    };
    view! {
        <button class={move || if dropdown_open() {"upload-dropdown-btn upload-dropdown-btn-active"} else {"upload-dropdown-btn"}} on:click=open_dropdown>
            <div class="add-sign">
                <Icon icon={icondata::IoAddSharp} />
            </div>
        </button>
    }
}

#[component]
pub fn UploadDropdown(
    dropdown_open: RwSignal<bool>,
    upload_open: RwSignal<bool>,
    add_artist_open: RwSignal<bool>,
    add_album_open: RwSignal<bool>,
) -> impl IntoView {
    view! {
        <div class="upload-dropdown" on:click=move |_| dropdown_open.set(false)>
            <UploadBtn dialog_open=upload_open />
            <AddArtistBtn add_artist_open=add_artist_open/>
            <AddAlbumBtn add_album_open=add_album_open/>
        </div>
    }
}
