use multer::Field;
use server_fn::{error::NoCustomError, ServerFnError};

/// Extract the text from a multipart field
pub async fn extract_field(field: Field<'static>) -> Result<String, ServerFnError> {
    let field = match field.text().await {
        Ok(field) => field,
        Err(e) => Err(ServerFnError::<NoCustomError>::ServerError(format!(
            "Error reading field: {e}"
        )))?,
    };

    Ok(field)
}
